HOSTNAME(1) | General Commands Manual | HOSTNAME(1)

# NAME

hostname — set or print name of current host system

# SYNOPSIS

hostname | [-s] [name-of-host]

# DESCRIPTION

hostname prints the name of the current host. The super-user can set the host name by supplying an argument; this is usually done in the network initialization script /etc/rc.d/network, normally run at boot time.

Options:

-s
  Trims off any domain information from the printed name.

# SEE ALSO

domainname(1), gethostname(3), sethostname(3)

# HISTORY

The hostname utility appeared in 4.2BSD.

April 28, 1995 | NetBSD 6.0